Hex Artifact Content

Artifact 4a37f7a73e965bd19d1c486184ee2eeac0b5dd4e:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 54  2...exit 1.fi..T
00f0: 43 43 34 54 43 4c 56 45 52 53 3d 22 30 2e 32 33  CC4TCLVERS="0.23
0100: 22 0a 53 52 43 3d 22 73 72 63 2f 74 63 63 34 74  ".SRC="src/tcc4t
0110: 63 6c 2d 24 7b 54 43 43 34 54 43 4c 56 45 52 53  cl-${TCC4TCLVERS
0120: 7d 2e 74 61 72 2e 67 7a 22 0a 53 52 43 55 52 4c  }.tar.gz".SRCURL
0130: 3d 22 68 74 74 70 3a 2f 2f 72 6b 65 65 6e 65 2e  ="http://rkeene.
0140: 6f 72 67 2f 64 65 76 65 6c 2f 74 63 63 34 74 63  org/devel/tcc4tc
0150: 6c 2f 74 63 63 34 74 63 6c 2d 24 7b 54 43 43 34  l/tcc4tcl-${TCC4
0160: 54 43 4c 56 45 52 53 7d 2e 74 61 72 2e 67 7a 22  TCLVERS}.tar.gz"
0170: 0a 53 52 43 48 41 53 48 3d 27 2d 27 0a 42 55 49  .SRCHASH='-'.BUI
0180: 4c 44 44 49 52 3d 22 24 28 70 77 64 29 2f 62 75  LDDIR="$(pwd)/bu
0190: 69 6c 64 2f 74 63 63 34 74 63 6c 2d 24 7b 54 43  ild/tcc4tcl-${TC
01a0: 43 34 54 43 4c 56 45 52 53 7d 22 0a 4f 55 54 44  C4TCLVERS}".OUTD
01b0: 49 52 3d 22 24 28 70 77 64 29 2f 6f 75 74 22 0a  IR="$(pwd)/out".
01c0: 49 4e 53 54 44 49 52 3d 22 24 28 70 77 64 29 2f  INSTDIR="$(pwd)/
01d0: 69 6e 73 74 22 0a 50 41 54 43 48 44 49 52 3d 22  inst".PATCHDIR="
01e0: 24 28 70 77 64 29 2f 70 61 74 63 68 65 73 22 0a  $(pwd)/patches".
01f0: 65 78 70 6f 72 74 20 54 43 43 34 54 43 4c 56 45  export TCC4TCLVE
0200: 52 53 20 53 52 43 20 53 52 43 55 52 4c 20 42 55  RS SRC SRCURL BU
0210: 49 4c 44 44 49 52 20 4f 55 54 44 49 52 20 49 4e  ILDDIR OUTDIR IN
0220: 53 54 44 49 52 20 50 41 54 43 48 44 49 52 0a 0a  STDIR PATCHDIR..
0230: 23 20 53 65 74 20 63 6f 6e 66 69 67 75 72 65 20  # Set configure 
0240: 6f 70 74 69 6f 6e 73 20 66 6f 72 20 74 68 69 73  options for this
0250: 20 73 75 62 2d 70 72 6f 6a 65 63 74 0a 4c 44 46   sub-project.LDF
0260: 4c 41 47 53 3d 22 24 7b 4c 44 46 4c 41 47 53 7d  LAGS="${LDFLAGS}
0270: 20 24 7b 4b 43 5f 54 43 43 34 54 43 4c 5f 4c 44   ${KC_TCC4TCL_LD
0280: 46 4c 41 47 53 7d 22 0a 43 46 4c 41 47 53 3d 22  FLAGS}".CFLAGS="
0290: 24 7b 43 46 4c 41 47 53 7d 20 24 7b 4b 43 5f 54  ${CFLAGS} ${KC_T
02a0: 43 43 34 54 43 4c 5f 43 46 4c 41 47 53 7d 22 0a  CC4TCL_CFLAGS}".
02b0: 43 50 50 46 4c 41 47 53 3d 22 24 7b 43 50 50 46  CPPFLAGS="${CPPF
02c0: 4c 41 47 53 7d 20 24 7b 4b 43 5f 54 43 43 34 54  LAGS} ${KC_TCC4T
02d0: 43 4c 5f 43 50 50 46 4c 41 47 53 7d 22 0a 4c 49  CL_CPPFLAGS}".LI
02e0: 42 53 3d 22 24 7b 4c 49 42 53 7d 20 24 7b 4b 43  BS="${LIBS} ${KC
02f0: 5f 54 43 43 34 54 43 4c 5f 4c 49 42 53 7d 22 0a  _TCC4TCL_LIBS}".
0300: 65 78 70 6f 72 74 20 4c 44 46 4c 41 47 53 20 43  export LDFLAGS C
0310: 46 4c 41 47 53 20 43 50 50 46 4c 41 47 53 20 4c  FLAGS CPPFLAGS L
0320: 49 42 53 0a 0a 72 6d 20 2d 72 66 20 27 62 75 69  IBS..rm -rf 'bui
0330: 6c 64 27 20 27 6f 75 74 27 20 27 69 6e 73 74 27  ld' 'out' 'inst'
0340: 0a 6d 6b 64 69 72 20 27 62 75 69 6c 64 27 20 27  .mkdir 'build' '
0350: 6f 75 74 27 20 27 69 6e 73 74 27 20 7c 7c 20 65  out' 'inst' || e
0360: 78 69 74 20 31 0a 0a 54 43 4c 5f 56 45 52 53 49  xit 1..TCL_VERSI
0370: 4f 4e 3d 22 75 6e 6b 6e 6f 77 6e 22 0a 69 66 20  ON="unknown".if 
0380: 5b 20 2d 66 20 22 24 7b 54 43 4c 43 4f 4e 46 49  [ -f "${TCLCONFI
0390: 47 44 49 52 7d 2f 74 63 6c 43 6f 6e 66 69 67 2e  GDIR}/tclConfig.
03a0: 73 68 22 20 5d 3b 20 74 68 65 6e 0a 20 20 20 20  sh" ]; then.    
03b0: 20 20 20 20 73 6f 75 72 63 65 20 22 24 7b 54 43      source "${TC
03c0: 4c 43 4f 4e 46 49 47 44 49 52 7d 2f 74 63 6c 43  LCONFIGDIR}/tclC
03d0: 6f 6e 66 69 67 2e 73 68 22 0a 66 69 0a 65 78 70  onfig.sh".fi.exp
03e0: 6f 72 74 20 54 43 4c 5f 56 45 52 53 49 4f 4e 0a  ort TCL_VERSION.
03f0: 0a 69 66 20 5b 20 21 20 2d 66 20 22 24 7b 53 52  .if [ ! -f "${SR
0400: 43 7d 22 20 5d 3b 20 74 68 65 6e 0a 09 6d 6b 64  C}" ]; then..mkd
0410: 69 72 20 27 73 72 63 27 20 3e 2f 64 65 76 2f 6e  ir 'src' >/dev/n
0420: 75 6c 6c 20 32 3e 2f 64 65 76 2f 6e 75 6c 6c 0a  ull 2>/dev/null.
0430: 0a 09 69 66 20 5b 20 21 20 2d 64 20 27 62 75 69  ..if [ ! -d 'bui
0440: 6c 64 73 72 63 27 20 5d 3b 20 74 68 65 6e 0a 09  ldsrc' ]; then..
0450: 09 64 6f 77 6e 6c 6f 61 64 20 22 24 7b 53 52 43  .download "${SRC
0460: 55 52 4c 7d 22 20 22 24 7b 53 52 43 7d 2e 74 6d  URL}" "${SRC}.tm
0470: 70 22 20 22 24 7b 53 52 43 48 41 53 48 7d 22 20  p" "${SRCHASH}" 
0480: 7c 7c 20 65 78 69 74 20 31 0a 09 66 69 0a 66 69  || exit 1..fi.fi
0490: 0a 0a 28 0a 09 63 64 20 27 62 75 69 6c 64 27 20  ..(..cd 'build' 
04a0: 7c 7c 20 65 78 69 74 20 31 0a 0a 09 69 66 20 5b  || exit 1...if [
04b0: 20 21 20 2d 64 20 27 2e 2e 2f 62 75 69 6c 64 73   ! -d '../builds
04c0: 72 63 27 20 5d 3b 20 74 68 65 6e 0a 09 09 67 7a  rc' ]; then...gz
04d0: 69 70 20 2d 64 63 20 22 2e 2e 2f 24 7b 53 52 43  ip -dc "../${SRC
04e0: 7d 22 20 7c 20 74 61 72 20 2d 78 66 20 2d 0a 09  }" | tar -xf -..
04f0: 65 6c 73 65 20 20 20 20 0a 09 09 63 70 20 2d 72  else    ...cp -r
0500: 70 20 2e 2e 2f 62 75 69 6c 64 73 72 63 2f 2a 20  p ../buildsrc/* 
0510: 27 2e 2f 27 0a 09 66 69 0a 0a 09 23 20 41 70 70  './'..fi...# App
0520: 6c 79 20 72 65 71 75 69 72 65 64 20 70 61 74 63  ly required patc
0530: 68 65 73 0a 09 63 64 20 22 24 7b 42 55 49 4c 44  hes..cd "${BUILD
0540: 44 49 52 7d 22 20 7c 7c 20 65 78 69 74 20 31 0a  DIR}" || exit 1.
0550: 0a 09 66 6f 72 20 70 61 74 63 68 20 69 6e 20 22  ..for patch in "
0560: 24 7b 50 41 54 43 48 44 49 52 7d 2f 61 6c 6c 22  ${PATCHDIR}/all"
0570: 2f 74 63 63 34 74 63 6c 2d 24 7b 54 43 43 34 54  /tcc4tcl-${TCC4T
0580: 43 4c 56 45 52 53 7d 2d 2a 2e 64 69 66 66 20 22  CLVERS}-*.diff "
0590: 24 7b 50 41 54 43 48 44 49 52 7d 2f 24 7b 54 43  ${PATCHDIR}/${TC
05a0: 4c 5f 56 45 52 53 49 4f 4e 7d 22 2f 74 63 63 34  L_VERSION}"/tcc4
05b0: 74 63 6c 2d 24 7b 54 43 43 34 54 43 4c 56 45 52  tcl-${TCC4TCLVER
05c0: 53 7d 2d 2a 2e 64 69 66 66 3b 20 64 6f 0a 09 09  S}-*.diff; do...
05d0: 69 66 20 5b 20 21 20 2d 66 20 22 24 7b 70 61 74  if [ ! -f "${pat
05e0: 63 68 7d 22 20 5d 3b 20 74 68 65 6e 0a 09 09 09  ch}" ]; then....
05f0: 63 6f 6e 74 69 6e 75 65 0a 09 09 66 69 0a 0a 09  continue...fi...
0600: 09 65 63 68 6f 20 22 41 70 70 6c 79 69 6e 67 3a  .echo "Applying:
0610: 20 24 7b 70 61 74 63 68 7d 22 0a 09 09 24 7b 50   ${patch}"...${P
0620: 41 54 43 48 3a 2d 70 61 74 63 68 7d 20 2d 70 31  ATCH:-patch} -p1
0630: 20 3c 20 22 24 7b 70 61 74 63 68 7d 22 0a 09 64   < "${patch}"..d
0640: 6f 6e 65 0a 0a 09 23 20 54 72 79 20 74 6f 20 62  one...# Try to b
0650: 75 69 6c 64 20 61 73 20 61 20 73 68 61 72 65 64  uild as a shared
0660: 20 6f 62 6a 65 63 74 20 69 66 20 72 65 71 75 65   object if reque
0670: 73 74 65 64 0a 09 69 66 20 5b 20 22 24 7b 53 54  sted..if [ "${ST
0680: 41 54 49 43 54 43 43 34 54 43 4c 7d 22 20 3d 20  ATICTCC4TCL}" = 
0690: 22 30 22 20 5d 3b 20 74 68 65 6e 0a 09 09 74 72  "0" ]; then...tr
06a0: 79 6f 70 74 73 3d 22 2d 2d 65 6e 61 62 6c 65 2d  yopts="--enable-
06b0: 73 68 61 72 65 64 20 2d 2d 64 69 73 61 62 6c 65  shared --disable
06c0: 2d 73 68 61 72 65 64 22 0a 09 65 6c 69 66 20 5b  -shared"..elif [
06d0: 20 22 24 7b 53 54 41 54 49 43 54 43 43 34 54 43   "${STATICTCC4TC
06e0: 4c 7d 22 20 3d 20 22 2d 31 22 20 5d 3b 20 74 68  L}" = "-1" ]; th
06f0: 65 6e 0a 09 09 23 20 52 65 71 75 69 72 65 20 73  en...# Require s
0700: 68 61 72 65 64 20 6f 62 6a 65 63 74 20 69 66 20  hared object if 
0710: 72 65 71 75 65 73 74 65 64 0a 09 09 74 72 79 6f  requested...tryo
0720: 70 74 73 3d 22 2d 2d 65 6e 61 62 6c 65 2d 73 68  pts="--enable-sh
0730: 61 72 65 64 22 0a 09 65 6c 73 65 0a 09 09 23 20  ared"..else...# 
0740: 44 65 66 61 75 6c 74 20 74 6f 20 62 75 69 6c 64  Default to build
0750: 69 6e 67 20 73 74 61 74 69 63 61 6c 6c 79 0a 09  ing statically..
0760: 09 74 72 79 6f 70 74 73 3d 22 2d 2d 64 69 73 61  .tryopts="--disa
0770: 62 6c 65 2d 73 68 61 72 65 64 22 0a 09 66 69 0a  ble-shared"..fi.
0780: 0a 09 69 66 20 65 63 68 6f 20 22 20 24 7b 43 4f  ..if echo " ${CO
0790: 4e 46 49 47 55 52 45 45 58 54 52 41 7d 20 22 20  NFIGUREEXTRA} " 
07a0: 7c 20 67 72 65 70 20 27 20 2d 2d 64 69 73 61 62  | grep ' --disab
07b0: 6c 65 2d 6c 6f 61 64 20 27 20 3e 2f 64 65 76 2f  le-load ' >/dev/
07c0: 6e 75 6c 6c 3b 20 74 68 65 6e 0a 09 09 64 6c 6f  null; then...dlo
07d0: 70 65 6e 5f 66 6c 61 67 3d 22 2d 2d 77 69 74 68  pen_flag="--with
07e0: 2d 64 6c 6f 70 65 6e 22 0a 09 65 6c 73 65 0a 09  -dlopen"..else..
07f0: 09 64 6c 6f 70 65 6e 5f 66 6c 61 67 3d 22 2d 2d  .dlopen_flag="--
0800: 77 69 74 68 6f 75 74 2d 64 6c 6f 70 65 6e 22 0a  without-dlopen".
0810: 09 66 69 0a 0a 09 53 41 56 45 5f 43 46 4c 41 47  .fi...SAVE_CFLAG
0820: 53 3d 22 24 7b 43 46 4c 41 47 53 7d 22 0a 09 66  S="${CFLAGS}"..f
0830: 6f 72 20 74 72 79 6f 70 74 20 69 6e 20 24 74 72  or tryopt in $tr
0840: 79 6f 70 74 73 20 5f 5f 66 61 69 6c 5f 5f 3b 20  yopts __fail__; 
0850: 64 6f 0a 09 09 23 20 43 6c 65 61 6e 20 75 70 2c  do...# Clean up,
0860: 20 69 66 20 6e 65 65 64 65 64 0a 09 09 6d 61 6b   if needed...mak
0870: 65 20 64 69 73 74 63 6c 65 61 6e 20 3e 2f 64 65  e distclean >/de
0880: 76 2f 6e 75 6c 6c 20 32 3e 2f 64 65 76 2f 6e 75  v/null 2>/dev/nu
0890: 6c 6c 0a 09 09 72 6d 20 2d 72 66 20 22 24 7b 49  ll...rm -rf "${I
08a0: 4e 53 54 44 49 52 7d 22 0a 09 09 6d 6b 64 69 72  NSTDIR}"...mkdir
08b0: 20 22 24 7b 49 4e 53 54 44 49 52 7d 22 0a 0a 09   "${INSTDIR}"...
08c0: 09 69 66 20 5b 20 22 24 7b 74 72 79 6f 70 74 7d  .if [ "${tryopt}
08d0: 22 20 3d 20 22 5f 5f 66 61 69 6c 5f 5f 22 20 5d  " = "__fail__" ]
08e0: 3b 20 74 68 65 6e 0a 09 09 09 65 78 69 74 20 31  ; then....exit 1
08f0: 0a 09 09 66 69 0a 0a 09 09 69 66 20 5b 20 22 24  ...fi....if [ "$
0900: 7b 74 72 79 6f 70 74 7d 22 20 3d 3d 20 22 2d 2d  {tryopt}" == "--
0910: 65 6e 61 62 6c 65 2d 73 68 61 72 65 64 22 20 5d  enable-shared" ]
0920: 3b 20 74 68 65 6e 0a 09 09 09 69 73 73 68 61 72  ; then....isshar
0930: 65 64 3d 22 31 22 0a 09 09 65 6c 73 65 0a 09 09  ed="1"...else...
0940: 09 69 73 73 68 61 72 65 64 3d 22 30 22 0a 09 09  .isshared="0"...
0950: 66 69 0a 0a 09 09 23 20 49 66 20 62 75 69 6c 64  fi....# If build
0960: 20 61 20 73 74 61 74 69 63 20 74 63 63 34 74 63   a static tcc4tc
0970: 6c 20 66 6f 72 20 4b 69 74 44 4c 4c 2c 20 65 6e  l for KitDLL, en
0980: 73 75 72 65 20 74 68 61 74 20 77 65 20 75 73 65  sure that we use
0990: 20 50 49 43 0a 09 09 23 20 73 6f 20 74 68 61 74   PIC...# so that
09a0: 20 69 74 20 63 61 6e 20 62 65 20 6c 69 6e 6b 65   it can be linke
09b0: 64 20 69 6e 74 6f 20 74 68 65 20 73 68 61 72 65  d into the share
09c0: 64 20 6f 62 6a 65 63 74 0a 09 09 69 66 20 5b 20  d object...if [ 
09d0: 22 24 7b 69 73 73 68 61 72 65 64 7d 22 20 3d 20  "${isshared}" = 
09e0: 22 30 22 20 2d 61 20 22 24 7b 4b 49 54 54 41 52  "0" -a "${KITTAR
09f0: 47 45 54 7d 22 20 3d 20 22 6b 69 74 64 6c 6c 22  GET}" = "kitdll"
0a00: 20 5d 3b 20 74 68 65 6e 0a 09 09 09 43 46 4c 41   ]; then....CFLA
0a10: 47 53 3d 22 24 7b 53 41 56 45 5f 43 46 4c 41 47  GS="${SAVE_CFLAG
0a20: 53 7d 20 2d 66 50 49 43 22 0a 09 09 65 6c 73 65  S} -fPIC"...else
0a30: 0a 09 09 09 43 46 4c 41 47 53 3d 22 24 7b 53 41  ....CFLAGS="${SA
0a40: 56 45 5f 43 46 4c 41 47 53 7d 22 0a 09 09 66 69  VE_CFLAGS}"...fi
0a50: 0a 0a 09 09 28 0a 09 09 09 65 63 68 6f 20 22 52  ....(....echo "R
0a60: 75 6e 6e 69 6e 67 3a 20 2e 2f 63 6f 6e 66 69 67  unning: ./config
0a70: 75 72 65 20 24 74 72 79 6f 70 74 20 2d 2d 70 72  ure $tryopt --pr
0a80: 65 66 69 78 3d 5c 22 24 7b 49 4e 53 54 44 49 52  efix=\"${INSTDIR
0a90: 7d 5c 22 20 2d 2d 65 78 65 63 2d 70 72 65 66 69  }\" --exec-prefi
0aa0: 78 3d 5c 22 24 7b 49 4e 53 54 44 49 52 7d 5c 22  x=\"${INSTDIR}\"
0ab0: 20 2d 2d 6c 69 62 64 69 72 3d 5c 22 24 7b 49 4e   --libdir=\"${IN
0ac0: 53 54 44 49 52 7d 2f 6c 69 62 5c 22 20 2d 2d 77  STDIR}/lib\" --w
0ad0: 69 74 68 2d 74 63 6c 3d 5c 22 24 7b 54 43 4c 43  ith-tcl=\"${TCLC
0ae0: 4f 4e 46 49 47 44 49 52 7d 5c 22 20 24 7b 64 6c  ONFIGDIR}\" ${dl
0af0: 6f 70 65 6e 5f 66 6c 61 67 7d 20 24 7b 43 4f 4e  open_flag} ${CON
0b00: 46 49 47 55 52 45 45 58 54 52 41 7d 22 0a 09 09  FIGUREEXTRA}"...
0b10: 09 2e 2f 63 6f 6e 66 69 67 75 72 65 20 24 74 72  ../configure $tr
0b20: 79 6f 70 74 20 2d 2d 70 72 65 66 69 78 3d 22 24  yopt --prefix="$
0b30: 7b 49 4e 53 54 44 49 52 7d 22 20 2d 2d 65 78 65  {INSTDIR}" --exe
0b40: 63 2d 70 72 65 66 69 78 3d 22 24 7b 49 4e 53 54  c-prefix="${INST
0b50: 44 49 52 7d 22 20 2d 2d 6c 69 62 64 69 72 3d 22  DIR}" --libdir="
0b60: 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 22 20  ${INSTDIR}/lib" 
0b70: 2d 2d 77 69 74 68 2d 74 63 6c 3d 22 24 7b 54 43  --with-tcl="${TC
0b80: 4c 43 4f 4e 46 49 47 44 49 52 7d 22 20 24 7b 64  LCONFIGDIR}" ${d
0b90: 6c 6f 70 65 6e 5f 66 6c 61 67 7d 20 24 7b 43 4f  lopen_flag} ${CO
0ba0: 4e 46 49 47 55 52 45 45 58 54 52 41 7d 0a 0a 09  NFIGUREEXTRA}...
0bb0: 09 09 65 63 68 6f 20 22 52 75 6e 6e 69 6e 67 3a  ..echo "Running:
0bc0: 20 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 22 0a   ${MAKE:-make}".
0bd0: 09 09 09 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d  ...${MAKE:-make}
0be0: 20 7c 7c 20 65 78 69 74 20 31 0a 0a 09 09 09 65   || exit 1.....e
0bf0: 63 68 6f 20 22 52 75 6e 6e 69 6e 67 3a 20 24 7b  cho "Running: ${
0c00: 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20 69 6e 73 74  MAKE:-make} inst
0c10: 61 6c 6c 22 0a 09 09 09 24 7b 4d 41 4b 45 3a 2d  all"....${MAKE:-
0c20: 6d 61 6b 65 7d 20 69 6e 73 74 61 6c 6c 20 7c 7c  make} install ||
0c30: 20 65 78 69 74 20 31 0a 09 09 29 20 7c 7c 20 63   exit 1...) || c
0c40: 6f 6e 74 69 6e 75 65 0a 0a 09 09 62 72 65 61 6b  ontinue....break
0c50: 0a 09 64 6f 6e 65 0a 0a 09 23 20 43 72 65 61 74  ..done...# Creat
0c60: 65 20 56 46 53 2d 69 6e 73 65 72 74 0a 09 63 70  e VFS-insert..cp
0c70: 20 2d 72 20 22 24 7b 49 4e 53 54 44 49 52 7d 2f   -r "${INSTDIR}/
0c80: 6c 69 62 22 20 22 24 7b 4f 55 54 44 49 52 7d 22  lib" "${OUTDIR}"
0c90: 20 7c 7c 20 65 78 69 74 20 31 0a 09 66 69 6e 64   || exit 1..find
0ca0: 20 22 24 7b 4f 55 54 44 49 52 7d 22 20 2d 6e 61   "${OUTDIR}" -na
0cb0: 6d 65 20 27 2a 2e 61 27 20 2d 74 79 70 65 20 66  me '*.a' -type f
0cc0: 20 7c 20 67 72 65 70 20 2d 76 20 27 2f 6c 69 62   | grep -v '/lib
0cd0: 74 63 63 31 5c 2e 61 24 27 20 7c 20 78 61 72 67  tcc1\.a$' | xarg
0ce0: 73 20 72 6d 20 2d 66 0a 0a 09 23 20 54 65 6c 6c  s rm -f...# Tell
0cf0: 20 4b 69 74 73 68 20 6e 6f 74 20 74 6f 20 74 72   Kitsh not to tr
0d00: 79 20 74 6f 20 6c 69 6e 6b 20 61 67 61 69 6e 73  y to link agains
0d10: 74 20 22 6c 69 62 74 63 63 31 2e 61 22 0a 09 65  t "libtcc1.a"..e
0d20: 63 68 6f 20 22 2f 6c 69 62 74 63 63 31 5c 2e 61  cho "/libtcc1\.a
0d30: 22 20 3e 20 22 24 7b 49 4e 53 54 44 49 52 7d 2f  " > "${INSTDIR}/
0d40: 6b 69 74 63 72 65 61 74 6f 72 2d 6e 6f 6c 69 62  kitcreator-nolib
0d50: 73 22 0a 0a 09 65 78 69 74 20 30 0a 29 20 7c 7c  s"...exit 0.) ||
0d60: 20 65 78 69 74 20 31 0a 0a 65 78 69 74 20 30 0a   exit 1..exit 0.